## org.red5.server.api.stream
Interface IVideoStreamCodec

All Known Implementing Classes:
  AVCVideo, ScreenVideo, SorensonVideo

    public interface IVideoStreamCodec

Represents a Video codec and its associated decoder configuration.

Field Summary
`static byte` `FLV_FRAME_KEY` FLV frame marker constant

Method Summary
`boolean` `addData(IoBuffer data)` Update the state of the codec with the passed data.
`boolean` `canDropFrames()` Check if the codec supports frame dropping.
`boolean` `canHandleData(IoBuffer data)` Returns true if the codec knows how to handle the passed stream data.
`IoBuffer` `getDecoderConfiguration()` Returns information used to configure the decoder.
`IoBuffer` `getKeyframe()`
`String` `getName()`
`void` `reset()` Reset the codec to its initial state.

Field Detail

### FLV_FRAME_KEY

    static final byte FLV_FRAME_KEY

  FLV frame marker constant

  See Also:
    Constant Field Values

Method Detail

### getName

    String getName()

  Returns:
    the name of the video codec.

### reset

    void reset()

  Reset the codec to its initial state.

### canDropFrames

    boolean canDropFrames()

  Check if the codec supports frame dropping.

  Returns:
    if the codec supports frame dropping.

### canHandleData

    boolean canHandleData(IoBuffer data)

  Returns true if the codec knows how to handle the passed stream data.

  Parameters:
    `data` - some sample data to see if this codec can handle it.
  Returns:
    can this code handle the data.

### addData

    boolean addData(IoBuffer data)

  Update the state of the codec with the passed data.

  Parameters:
    `data` - data to tell the codec we're adding
  Returns:
    true for success. false for error.

### getKeyframe

    IoBuffer getKeyframe()

  Returns:
    the data for a keyframe.

### getDecoderConfiguration

    IoBuffer getDecoderConfiguration()

  Returns information used to configure the decoder.

  Returns:
    the data for decoder setup.

Copyright © 2006-2010 The Red5 Project